Flyspray (Español)

From ArchWiki
Jump to: navigation, search
Estado de la traducción
Este artículo es una traducción de Flyspray, revisada por última vez el 2018-11-28. Si advierte que la versión inglesa ha cambiado puede ayudar a actualizar la traducción, bien por usted mismo o bien avisando al equipo de traducción.

Flyspray es un sistema de seguimiento de errores escrito en PHP.

Instalación

Instale el paquete flyspray. Flyspray requiere un servidor web como Apache HTTP Server con PHP, y un servidor SQL como MySQL o PostgreSQL.

Configuración de Apache

Nota: Deberá tener Apache configurado para ejecutarse con PHP. Véase Apache#PHP para obtener instrucciones. Asegúrese de descomentar extension=mysqli en /etc/php/php.ini.

Necesitará crear un archivo de configuración para que Apache encuentre su instalación de Flyspray. Cree el siguiente archivo:

/etc/httpd/conf/extra/flyspray.conf
Alias /flyspray "/usr/share/webapps/flyspray"
<Directory "/usr/share/webapps/flyspray">
	AllowOverride All
	Options FollowSymlinks
	Require all granted
	php_admin_value open_basedir "/srv/http/:/tmp/:/usr/share/webapps/flyspray"
</Directory>

Luego deberá editar /etc/webapps/flyspray/.htaccess y cambiar deny from all a allow from all. Ahora debería poder navegar a la interfaz de flyspray (por ejemplo, http://localhost/flyspray) y mostrará una página de comprobaciones previas a la instalación. Cualquier problema aquí debe ser resuelto antes de continuar.